# DSC - Damn Simple Code - damn_simple_architecture

## Keyboard shortcuts

Press `←` or `→` to navigate between chapters

Press `S` or `/` to search in the book

Press `?` to show this help

Press `Esc` to hide this help

# DSC - Damn Simple Code

# This document is a work in progress!

# Nothing is final!

## Syntax

- we aim to make the syntax simple and easy to understand, this has the following benefits
  - easy to write
  - easy to parse
  - little variation in syntax means we have to handle less cases in semantic analysis, meaning we will be able to create a working compiler quicker.

## Types

- we should support the following types
  - unsigned integer types (U8, U16, U32)
  - signed integer types (I8, I16, I32)
  - boolean type (Bool)
  - struct types (Struct)
  - dynamic types *(Dyn)